using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.IO;

public partial class Column : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        常用.更新缓存(this.Context);
        int ID = Convert.ToInt32(Request.QueryString["ID"]);

        DataRow 栏目 = 常用.获取栏目(ID);

        if (栏目 != null)
        {
            String 文件位置 = "~/Template/Content/" + 程序.设置["默认模板"] + "/Content_Aspx/" + 栏目["模板_内容列表"] + ".aspx";
            if (File.Exists(Server.MapPath(文件位置)))
                Server.Execute(文件位置);
            else
            {
                String 跳转地址 = "~/Template/Content/默认模板/Content_Aspx/";
                switch (栏目["栏目类型"].ToString())
                {
                    case "文章":
                        跳转地址 += "1";
                        break;
                    case "图片":
                        跳转地址 += "3";
                        break;
                    case "软件":
                        跳转地址 += "5";
                        break;
                    case "音乐":
                        跳转地址 += "7";
                        break;
                    case "视频":
                        跳转地址 += "9";
                        break;
                }
                跳转地址 += ".aspx";
                Server.Execute(跳转地址);
            }
        }
    }
}
